package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * FechasEspeciales generated by hbm2java
 */
@Entity
@Table(name = "fechas_especiales", catalog = "gestion_actividades")
public class FechasEspeciales implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idEspecial;
	private Date fecha;
	private String nombre;

	public FechasEspeciales() {
	}

	public FechasEspeciales(Date fecha, String nombre) {
		this.fecha = fecha;
		this.nombre = nombre;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_especial", unique = true, nullable = false)
	public Integer getIdEspecial() {
		return this.idEspecial;
	}

	public void setIdEspecial(Integer idEspecial) {
		this.idEspecial = idEspecial;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "fecha", nullable = false, length = 10)
	public Date getFecha() {
		return this.fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	@Column(name = "nombre", nullable = false, length = 150)
	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

}
